Project

General

Profile

Actions

Bug #5737

closed

The available api versions are not listed

Added by Benoît PECCATTE over 6 years ago. Updated about 6 years ago.

Status:
Released
Priority:
N/A
Category:
Documentation
Target version:
Severity:
User visibility:
Effort required:
Priority:

Description

In http://www.rudder-project.org/rudder-api-doc/#api-_-Versioning there should be a list of available api version that can be used in calls.
Moreover all examples use api version 2.

They should use latest to avoid having a deprecated documentation.

Actions #1

Updated by Benoît PECCATTE over 6 years ago

  • Target version set to 3.0.0~beta1
Actions #2

Updated by Jonathan CLARKE over 6 years ago

  • Target version changed from 3.0.0~beta1 to 3.0.0~beta2
Actions #3

Updated by Jonathan CLARKE over 6 years ago

Right. Let's add a list of versions in that paragraph in the intro, and then change all examples to use "latest" instead of "2".

Actions #4

Updated by Benoît PECCATTE over 6 years ago

  • Status changed from New to Pending technical review
  • Assignee set to Jonathan CLARKE
  • Pull Request set to https://github.com/Normation/rudder-api-doc/pull/9
Actions #5

Updated by Jonathan CLARKE over 6 years ago

  • Project changed from 30 to 38
  • Status changed from Pending technical review to Pending release
Actions #6

Updated by Benoît PECCATTE over 6 years ago

  • % Done changed from 0 to 100

Applied in changeset commit:4f4e2748019d75e766a5cccb15139d1c67df463a.

Actions #7

Updated by Jonathan CLARKE over 6 years ago

Applied in changeset commit:e4aea131716f3b58dfe484c07fd71f67e5981e37.

Actions #8

Updated by Vincent MEMBRÉ over 6 years ago

  • Status changed from Pending release to Released

This bug has been fixed in Rudder 3.0.0~beta2, which were these days.

Actions #9

Updated by Benoît PECCATTE about 6 years ago

  • Project changed from 38 to Rudder
  • Category set to Documentation
Actions

Also available in: Atom PDF